@mixin make-opacity($s) {
    #{$s}opacity-0{
        opacity: 0;
    }
    
    @for $i from 1 to 10 {
        #{$s}opacity-0#{$i}{
            opacity: .1 * $i;
        }
    }
    
    #{$s}opacity-1{
        opacity: 1;
    }
}

